import org.junit.Before;
import org.junit.Test;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {

    }

    @Test
    public void testChangeHoratioToTariq() {
    }

    @Test
    public void testFindHoratio() {
        String noHamOrHoratio = hamletParser.changeHoratio(hamletText);
        Pattern p = Pattern.compile("Horatio");
        Matcher m = p.matcher(noHamOrHoratio);
        boolean actual = m.find();
        boolean expected = false;
        assertEquals(expected, actual);
        System.out.println(noHamOrHoratio);

    }

    @Test
    public void testFindHamlet() {
        String noHam = hamletParser.changeHamlet(hamletText);
        Pattern p = Pattern.compile("Hamlet");
        Matcher m = p.matcher(noHam);
        boolean actual = m.find();
        boolean expected = false;
        assertEquals(expected, actual);
        System.out.println(noHam);

    }
}